Bug 471035 - Journal-comparing script is still pretty stupid
Journal-comparing script is still pretty stupid
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
26
All Linux
low Severity medium
: ---
: ---
Assigned To: Dalibor Pospíšil
Fedora Extras Quality Assurance
:
Depends On: bl-journal-overhaul
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 09:33 EST by Petr Muller
Modified: 2017-08-24 16:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 16:11:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to ignore unmatched asserts (587 bytes, patch)
2009-04-27 12:00 EDT, Petr Šplíchal
no flags Details | Diff

  None (edit)
Description Petr Muller 2008-11-11 09:33:23 EST
Description of problem:
Subject says it all. The comparing script identifies the same test pairs in journals by the message, which can be different in both runs, for the same asserts (example: tmpfile=`mktemp`; rlRun "rm -f $tmpfile"). In this case, the comparing script will end with traceback, KeyError exception. 

The comparing script should be more robust, showing real differences (*this* pass dissapeared, *this* pass appeared), definitely not tracebacking.

There should be some fallback method in the case journals are a bit different, like dont compare exact tests, just count PASSes/FAILs or something like that.

Version-Release number of selected component (if applicable):
0.4-whatever

How reproducible:
always

Steps to Reproduce:
1. use this in a test and see comparing fail: mkfile=`mktemp`; rlRun "rm -f $tmpfile"
2. run the test and let it be compared in rcw
3. see bogus fail
  
Actual results:
traceback 

Expected results:
robust handling and correct result evaluation
Comment 1 Petr Šplíchal 2009-04-27 12:00:16 EDT
Created attachment 341451 [details]
patch to ignore unmatched asserts

What about ignoring unmatched asserts and printing a [WARN]
message instead of a traceback? Patch included.
Comment 2 Petr Muller 2009-04-27 12:11:12 EDT
Good stuff as a first aid. Go ahead and check it in, please. We'll leave this bug open so we can rework the compare script to really do its job.
Comment 4 Petr Šplíchal 2009-04-28 04:32:12 EDT
Then next main issue is that journal-compare always returns 0,
thus making false PASSes even if some of the tests fail...

# ./journal-compare.py

==== Actual compare ====
 * Metrics * 
[PASS] PyStones0 (First 1.0, second 8.8, toleranced first 1.2)
[FAIL] PyStones1 (First 1.0, second 8.8, toleranced first 1.2)
...

# echo $?
0
Comment 6 Fedora End Of Life 2013-04-03 15:49:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora Admin XMLRPC Client 2014-09-02 08:14:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Dalibor Pospíšil 2014-12-12 10:33:19 EST
Is this tool currently used and/or supported? I am not able to find it in any package available.
Comment 9 Fedora End Of Life 2015-01-09 16:37:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Petr Muller 2015-02-17 05:42:58 EST
It's both in the tree and in the packages:

[beakerlib]$ ls src/python/journal-compare.py 
src/python/journal-compare.py

[beakerlib]$ rpm -ql beakerlib | grep bin
/usr/bin/beakerlib-deja-summarize
/usr/bin/beakerlib-journalcmp
         ^^^^^^^^^^^^^^^^^^^^
/usr/bin/beakerlib-journalling
/usr/bin/beakerlib-lsb_release
/usr/bin/beakerlib-rlMemAvg
/usr/bin/beakerlib-rlMemPeak
/usr/bin/beakerlib-storage
/usr/bin/beakerlib-testwatcher
Comment 11 Dalibor Pospíšil 2015-06-12 13:05:05 EDT
Do we want to maintain such tool? Does anyone use it?
Comment 12 Jan Kurik 2015-07-15 11:22:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 14 Fedora End Of Life 2016-11-24 05:23:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2017-02-28 04:28:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 16 Martin Kyral 2017-08-22 05:08:21 EDT
Given that last actual activity on this bug happened 8 years ago and noone complains about it not being fixed, I suggest the script can remain stupid until the end if its days and this bug can be CLOSED WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.